﻿using C1.DataCollection;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FlexGridSort
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Product> products;
        ListCollectionView listCollection;
        public MainWindow()
        {
            InitializeComponent();
            products = new ObservableCollection<Product>();
            var random = new Random();
            for (int i = 0; i < 10; i++)
                products.Add(new Product(i, "Product " + i, random.Next(100, 1000)));
            listCollection = new ListCollectionView(products);
            grid.ItemsSource = listCollection;

            //Sort event
            grid.DataCollection.AttachSortChanged(OnSort);
        }

        private void OnSort(object? sender, EventArgs e)
        {
            Debug.WriteLine("Sort Fires");
        }
    }
    public class Product
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public double Price { get; set; }

        public Product(int id, string name, double price)
        {
            Id = id;
            Name = name;
            Price = price;
        }
    }
}
